### Method

# Hitaki SndMotuRegisterDspParameter get_input_gain_and_invert

#### Declaration [src]

    void
    hitaki_snd_motu_register_dsp_parameter_get_input_gain_and_invert (
      const HitakiSndMotuRegisterDspParameter* self,
      const guint8** gain_and_invert
    )

#### Description [src]

Get the array with elements for input gain and invert flags. The interpretation of data is different in below two groups:

- Ultralite
  - 0x1f: the gain.
  - 0x20: whether to invert phase of the input
- Audio Express and 4 pre
  - 0x3f: the gain
  - 0x40: whether to invert phase of the input.

#### Parameters

`gain_and_invert`

  Type: An array of `guint8*`

  The array with elements for the data of input gain and invert flags.

  The argument will be set by the function.
  The array must have 10 elements.
  The returned data is owned by the instance.